Hi Geert

Ehm ... I mistyped writing the email.


I check my script:

    make COPTS="-DNO_AUTH -DNO_DHCP -DNO_INOTIFY -DNO_IPV6 -DNO_SCRIPT 
-DNO_TFTP"

A quick glance at the source code: it seem to me the help arguments aren't 
conditioned by the compilation macros.
I need a confirm of this.
It isn't documented but IMHO it should be.


Best regards, Massimo


________________________________
Da: Dnsmasq-discuss <dnsmasq-discuss-boun...@lists.thekelleys.org.uk> per conto 
di Geert Stappers <stapp...@stappers.nl>
Inviato: mercoledì 12 giugno 2019 19:26
A: dnsmasq-discuss@lists.thekelleys.org.uk
Oggetto: Re: [Dnsmasq-discuss] dnsmasq compilation and dependencies

On Wed, Jun 12, 2019 at 03:19:04PM +0000, SALA MASSIMO wrote:
> Hi
>
>
> I have some servers with linux 2.6.18.
>
> I know... but I cannot upgrade because of legacy applications,
> it's ok for us, they are only for intranet usage.
>
>
> Pls a few questions:
>
> 1) configure and compile vs dnsmasq --help
>
>
> I want only the DNS daemon, a minimal version (not authoritative).
>
> I tried this:
>
>      make COPTS="-DNO_AUTH DNO_DHCP -DNO_INOTIFY -DNO_IPV6 -DNO_SCRIPT 
> -DNO_TFTP"
>
> and it succeded.
>
>
> However running
>
>      src/dnsmasq --help
>
> I still see some options regarding the excluded features (like dhcp).
>
> Is this ok ?
>

Please, compare
    make COPTS="-DNO_AUTH DNO_DHCP -DNO_INOTIFY -DNO_IPV6 -DNO_SCRIPT -DNO_TFTP"
with
    make COPTS="-DNO_AUTH -DNO_DHCP -DNO_INOTIFY -DNO_IPV6 -DNO_SCRIPT 
-DNO_TFTP"


> 2) dependencies
>
>
> >From the  http://www.thekelleys.org.uk/dnsmasq/CHANGELOG

>
> I don't understand the dependencies on shared libraries.
>
>
> Example: an excerpt from ver 2.79
>
>         Tidy up Crypto code, removing workarounds for ancient
>         versions of libnettle. We now require libnettle 3.
>
>
> With the aforementioned options (1), is libnettled required?
>
> The output of ldd src/dnsmasq shows only
>
>         linux-vdso.so.1 =>  (0x00002aaaaaaab000)
>         libc.so.6 => /lib64/libc.so.6 (0x0000003ed4800000)
>         /lib64/ld-linux-x86-64.so.2 (0x0000003ed4400000)
>
>
> On linux  2.6.18 I tried to download and compile libnettle3, but there are 
> too many broken dependencies.
> Is it possibile to use dnsmasq 2.80 without this library?



Groeten
Geert Stappers
--
Leven en laten leven

_______________________________________________
Dnsmasq-discuss mailing list
Dnsmasq-discuss@lists.thekelleys.org.uk
http://lists.thekelleys.org.uk/mailman/listinfo/dnsmasq-discuss


[ATS logo]
Le informazioni contenute in questo messaggio e nei suoi allegati sono ad 
esclusivo beneficio del corretto destinatario e sono da considerarsi 
confidenziali e riservate. Qualora abbiate ricevuto il messaggio per errore, 
siete pregati di darne immediata notizia al mittente e di provvedere alla sua 
cancellazione. La rivelazione del contenuto di corrispondenza destinata ad 
altri e ricevuta per errore è perseguibile penalmente e può costituire un 
trattamento illecito di dati personali.

This e-mail and any attachment is confidential and only for use of the intended 
recipient. If you are not the intended recipient, you are hereby notified that 
any disclosure of this communication is strictly prohibited. If you have 
received this communication in error, please notify the sender, and then delete 
this message from your system.

Prima di stampare, pensa all'ambiente.
_______________________________________________
Dnsmasq-discuss mailing list
Dnsmasq-discuss@lists.thekelleys.org.uk
http://lists.thekelleys.org.uk/mailman/listinfo/dnsmasq-discuss

Reply via email to